Bug 984290 - OsType Unassigned value is deprecated
OsType Unassigned value is deprecated
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Cheryn Tan
Tareq Alayan
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-07-14 10:01 EDT by Roy Golan
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Previously, 'Unassigned' was the default option for the Operating System field in the New or Edit Virtual Machine window. This option has now been deprecated, and replaced with 'Other OS'.
Story Points: ---
Clone Of:
Last Closed: 2013-09-30 21:17:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roy Golan 2013-07-14 10:01:51 EDT
Description of problem:
Oss with os type "unassigned" are now converted to "other". The value is still supported but is auto converted to "other", both on creation and on import.

The id of the type is left unchanged i.e is still 0. 
The old id of "other" is 6 and is not in use now.
Comment 1 Roy Golan 2013-07-14 10:04:15 EDT
See Bug 980813
Comment 2 Michal Skrivanek 2013-07-15 03:27:42 EDT
deprecated starting with 3.3, remove in 4.0
Comment 6 Michal Skrivanek 2013-09-24 09:22:03 EDT
do we just nee to change doc to deprecate it? can we do that in 3.3?
Comment 7 Michael Pasternak 2013-09-24 09:25:37 EDT
(In reply to Michal Skrivanek from comment #6)
> do we just nee to change doc to deprecate it? can we do that in 3.3?

i guess you should file 3.3 documentation bug.
Comment 9 Cheryn Tan 2013-09-30 21:17:03 EDT
Adding to release notes, but closing it as it doesn't affect the docs components.

Note You need to log in before you can comment on or make changes to this bug.